<?php
/**
 * @version     1.7.3
 * @package     sellacious
 *
 * @copyright   Copyright (C) 2012-2019 Bhartiy Web Technologies. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Izhar Aazmi <info@bhartiy.com> - http://www.bhartiy.com
 */
// no direct access
defined('_JEXEC') or die;

/** @var  SellaciousViewProduct  $this */
$item           = $this->item;
?>


<div id="share-buttons">
	<label><?php echo JText::_('SELLA_SELLACIOUS_SHARE_THIS_PRODUCT'); ?></label>
	<ul class="sharebtns">
		<!-- Facebook -->
		<li><a href="http://www.facebook.com/sharer.php?u=<?php echo JUri::getInstance(); ?>"
			   target="_blank"><i class="fa fa-facebook"></i></a></li>

		<!-- Google+ -->
		<li><a href="https://plus.google.com/share?url=<?php echo JUri::getInstance(); ?>"
			   target="_blank"><i class="fa fa-google-plus"></i></a></li>

		<!-- Twitter -->
		<li><a href="https://twitter.com/share?url=<?php echo JUri::getInstance(); ?>&amp;text=<?php echo $item->get('title'); ?>&amp;hashtags=<?php echo $item->get('title'); ?>"
			   target="_blank"><i class="fa fa-twitter"></i></a></li>

		<!-- LinkedIn -->
		<li><a href="http://www.linkedin.com/shareArticle?mini=true&amp;url=<?php echo JUri::getInstance(); ?>"
			   target="_blank"><i class="fa fa-linkedin"></i></a></li>

		<!-- Pinterest -->
		<li><a href="javascript:void((function()%7Bvar%20e=document.createElement('script');e.setAttribute('type','text/javascript');e.setAttribute('charset','UTF-8');e.setAttribute('src','http://assets.pinterest.com/js/pinmarklet.js?r='+Math.random()*99999999);document.body.appendChild(e)%7D)());">
				<i class="fa fa-pinterest"></i></a></li>

		<!-- Reddit -->
		<li><a href="http://reddit.com/submit?url=<?php echo JUri::getInstance(); ?>&amp;title=<?php echo $item->get('title'); ?>"
			   target="_blank"><i class="fa fa-reddit"></i></a></li>

		<!-- Tumblr-->
		<li><a href="http://www.tumblr.com/share/link?url=<?php echo JUri::getInstance(); ?>"
			   target="_blank"><i class="fa fa-tumblr"></i></a></li>

		<!-- Email -->
		<li><a href="mailto:?Subject=<?php echo $item->get('title'); ?><?php echo JUri::getInstance(); ?>">
				<i class="fa fa-envelope-o"></i></a></li>
	</ul>
</div>

<?php
