<?php
/**
 * @package     Joomla.Administrator
 * @subpackage  com_cache
 *
 * @copyright   Copyright (C) 2005 - 2016 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

$html = $displayData["data"]["html"];

JHtml::_('stylesheet', 'com_sellaciousopc/fe.layout.checkoutform.css', null, true);
JHtml::_('script', 'com_sellaciousopc/fe.layout.checkoutform.js', false, true);

if (!empty($html)): ?>
	<div id="cart-opc-checkoutform" class="cart-opc hide-section">
		<div class="legend"><?php echo JText::_('COM_SELLACIOUS_CART_CHECKOUT_CHECKOUTFORM_LABEL') ?></div>
		<div class="clearfix"></div>
		<div id="checkoutform-editor">
			<form id="checkoutform-container">
				<?php echo $html;?>
			</form>
		</div>
		<div class="clearfix"></div>
		<div class="section-overlay"></div>
	</div>
<?php endif;
